# TableRow
Date: 2019-06-05

## Class TableRow

- java.lang.Object
- - TableRow

    public class TableRow
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TableRow(Document doc, Element row)` Erzeugt ein TableRow-Objekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn(java.lang.String name)` Liefert die Nummer einer Spalte
`int` `getColumnCount()` Liefert die Anzahl der Spalten der Zeile.
`java.lang.String` `getColumnTitle(int i)` Liefert den Titel einer Spalte
`double` `getDouble(int i)` Liefert den Wert einer Zelle als Double-Zahl
`double` `getDouble(java.lang.String name)` Liefert den Wert einer Zelle als Double-Zahl
`float` `getFloat(int i)` Liefert den Wert einer Zelle als Float-Zahl
`float` `getFloat(java.lang.String name)` Liefert den Wert einer Zelle als Float-Zahl
`int` `getInt(int i)` Liefert den Wert einer Zelle als Int-Zahl
`int` `getInt(java.lang.String name)` Liefert den Wert einer Zelle als Int-Zahl
`java.lang.String` `getString(int i)` Liefert den Wert einer Zelle als String
`java.lang.String` `getString(java.lang.String name)` Liefert den Wert einer Zelle als String
`void` `setDouble(int i, double value)` Setzt den Wert einer Zelle als Double-Zahl
`void` `setDouble(java.lang.String name, double value)` Setzt den Wert einer Zelle als Double-Zahl
`void` `setFloat(int i, float value)` Setzt den Wert einer Zelle als Float-Zahl
`void` `setFloat(java.lang.String name, float value)` Setzt den Wert einer Zelle als Float-Zahl
`void` `setInt(int i, int value)` Setzt den Wert einer Zelle als Int-Zahl
`void` `setInt(java.lang.String name, int value)` Setzt den Wert einer Zelle als Int-Zahl
`void` `setString(int i, java.lang.String text)` Setzt den Wert einer Zelle als String
`void` `setString(java.lang.String name, java.lang.String text)` Setzt den Wert einer Zelle als String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableRow

    public TableRow(Document doc,
                    Element row)

Erzeugt ein TableRow-Objekt. Diese Methode ist für den internen Gebraucht. Einige Methode der Table-Klasse erzeugen mit diesem Konstruktor TableRow-Objekte.

Parameters:
  `doc` - JDOM-Dokument, das für die ganze Tabelle steht.
  `row` - JDOM-Element, das für die aktuelle Zeile steht.

### Method Detail

#### getColumnCount

    public int getColumnCount()

Liefert die Anzahl der Spalten der Zeile.

Returns:
  Anzahl der Spalten

#### getColumnTitle

    public java.lang.String getColumnTitle(int i)

Liefert den Titel einer Spalte

Parameters:
  `i` - Nummer der Spalte
Returns:
  Name der Spalte

#### getColumn

    public int getColumn(java.lang.String name)

Liefert die Nummer einer Spalte

Parameters:
  `name` - Name der Spalte
Returns:
  Nummer der Spalte

#### getString

    public java.lang.String getString(int i)

Liefert den Wert einer Zelle als String

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getString

    public java.lang.String getString(java.lang.String name)

Liefert den Wert einer Zelle als String

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setString

    public void setString(int i,
                          java.lang.String text)

Setzt den Wert einer Zelle als String

Parameters:
  `i` - Nummer der Spalte
  `text` - neuer Wert der Zelle

#### setString

    public void setString(java.lang.String name,
                          java.lang.String text)

Setzt den Wert einer Zelle als String

Parameters:
  `name` - Name der Spalte
  `text` - neuer Wert der Zelle

#### getInt

    public int getInt(int i)

Liefert den Wert einer Zelle als Int-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getInt

    public int getInt(java.lang.String name)

Liefert den Wert einer Zelle als Int-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setInt

    public void setInt(int i,
                       int value)

Setzt den Wert einer Zelle als Int-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setInt

    public void setInt(java.lang.String name,
                       int value)

Setzt den Wert einer Zelle als Int-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle

#### getFloat

    public float getFloat(int i)

Liefert den Wert einer Zelle als Float-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getFloat

    public float getFloat(java.lang.String name)

Liefert den Wert einer Zelle als Float-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setFloat

    public void setFloat(int i,
                         float value)

Setzt den Wert einer Zelle als Float-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setFloat

    public void setFloat(java.lang.String name,
                         float value)

Setzt den Wert einer Zelle als Float-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle

#### getDouble

    public double getDouble(int i)

Liefert den Wert einer Zelle als Double-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getDouble

    public double getDouble(java.lang.String name)

Liefert den Wert einer Zelle als Double-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setDouble

    public void setDouble(int i,
                          double value)

Setzt den Wert einer Zelle als Double-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setDouble

    public void setDouble(java.lang.String name,
                          double value)

Setzt den Wert einer Zelle als Double-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle